@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.banner-section {
  & {
    text-align: center;
    margin: 0 0 60px;

    @media (max-width: @screen_tablet) {
      margin: 0 0 30px;
    }
  }

  .title {
    font-size: 40px;
    font-family: @font_primary;
    padding: 0 0 40px;
    margin: 0;

    @media (max-width: @screen_desktop) {
      font-size: 32px;
    }

    @media (max-width: @screen_tablet) {
      font-size: 28px;
    }
  }

  .description {
    max-width: 950px;
    font-size: 18px;
    font-family: @font_second;
    margin: 0 auto;
    line-height: 1.5;

    @media (max-width: @screen_desktop) {
      max-width: 700px;
    }

    @media (max-width: @screen_tablet) {
      max-width: 300px;
      font-size: 14px;
    }
  }
}

.product-popup {
  & {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    padding: 120px 0;
    overflow: hidden;
    z-index: 8;
    overflow-y: scroll;

    @media (max-width: @screen_tablet) {
      padding: 40px 10px;
    }
  }

  .container {
    & {
      max-width: @container_width;
      margin: 0 auto;
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: 1fr;
      grid-gap: .5em;
      padding: 20px;

      @media (max-width: @screen_tablet) {
        grid-template-columns: 1fr;
        grid-gap: .5em;
      }
    }

    .grid-block {
      & {
        background-color: #fff;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding: 10px;
        border-radius: 8px;
      }

      &.item-1 {
        & {
          display: flex;
          align-items: center;
        }

        .image-card-overlay {
          margin: 0;
          padding: 0 0 30px;
          max-width: 500px;
          max-height: 500px;
          object-fit: cover;

          @media (max-width: @screen_tablet) {
            max-width: 200px;
            max-height: 200px;
          }
        }
      }

      .title {
        font-family: @font_primary;
        font-size: 22px;
        padding: 0 0 20px;
        margin: 0;

        @media (max-width: @screen_tablet) {
          font-size: 16px;
          padding: 0 0 10px;
        }
      }

      .text {
        & {
          font-family: @font_second;
          font-size: 16px;

          @media (max-width: @screen_tablet) {
            font-size: 14px;
          }
        }

        &:not(:last-of-type) {
          padding-bottom: 10px;
        }

        &:last-of-type {
          margin-bottom: 40px;

          @media (max-width: @screen_tablet) {
            margin-bottom: 20px;
          }
        }
      }

      .description {
        line-height: 1.8;
        font-family: @font_second;
        font-size: 14px;
        margin: 0;

        @media (max-width: @screen_tablet) {
          font-size: 12px;
        }
      }
    }
  }

  .-close {
    display: block;
    right: 20px;
    top: 40px;
    position: absolute;
    z-index: 9;
    color: @primary_color;
    font-size: 30px;

    @media (max-width: @screen_tablet) {
      font-size: 20px;
    }
  }
}

